package cn.com.qmth.examcloud.core.oe.admin.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.SubjectiveQuestionScoreInfo;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamQuestionEntity;

public interface ExamRecordQuestionsService {

	/**
	 * 获取考生主观题答案
	 * @param examRecordDataId	考试记录ID
	 * @return
	 */
	public List<ExamQuestionEntity> querySubjectiveAnswerList(Long examRecordDataId);
	
	/**
	 * 保存主观题得分
	 * @param subjectiveQuestionScoreInfoList
	 */
	public void saveSubjectiveQuestionScore(Long examRecordDataId,List<SubjectiveQuestionScoreInfo> subjectiveQuestionScoreInfoList);
	
}
