/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-29 10:44:05.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;

/**
 * 考试相关接口
 *
 * @author: fengdesheng
 * @since: 2018/8/29
 */
public interface ExamService {

    /**
     * 获取考试信息
     *
     * @param examId
     * @return
     */
    ExamBean getExam(Long examId);

    /**
     * 获取考试名称
     *
     * @param examId
     * @return
     */
    String getExamNameById(Long examId);

    /**
     * 获取考试的默认次数
     *
     * @param examId
     * @return
     */
    Long getExamTimesById(Long examId);

}