/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:23:29.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @Description 考生有效成绩基本信息
 * @Author lideyin
 * @Date 2019/7/18 16:42
 * @Version 1.0
 */
public class ExamStudentEffectiveScoreInfo implements JsonSerializable {
    private static final long serialVersionUID = -8096091096954899775L;
    private Long examStudentId;

    private Long rootOrgId;

    private Long examId;

    private Long orgId;

    private Long courseId;

    private String basePaperId;

    /**
     * 试卷满分
     */
    private Double totalScore;

    /**
     * 试卷得分
     */
    private Double score;
    /**
     * 考试记录id
     */
    private Long examRecordDataId;

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }
}