/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:22:55.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord;

/**
 * 实体元数据
 *
 * @author: fengdesheng
 * @since: 2018/8/24
 */
public interface ExamRecordMapper {

    String EXAM_RECORD_DATA_ID = "id";
    String EXAM_RECORD_ID = "examRecord.id";
    String EXAM_RECORD_EXAM_ID = "examRecord.examId";
    String EXAM_RECORD_EXAM_TYPE = "examRecord.examType";
    String EXAM_RECORD_EXAM_STUDENT_ID = "examRecord.examStudentId";
    String EXAM_RECORD_STUDENT_ID = "examRecord.studentId";
    String EXAM_RECORD_STUDENT_CODE = "examRecord.studentCode";
    String EXAM_RECORD_STUDENT_NAME = "examRecord.studentName";
    String EXAM_RECORD_IDENTITY_NUMBER = "examRecord.identityNumber";
    String EXAM_RECORD_COURSE_ID = "examRecord.courseId";
    String EXAM_RECORD_COURSE_CODE = "examRecord.courseCode";
    String EXAM_RECORD_COURSE_NAME = "examRecord.courseName";
    String EXAM_RECORD_COURSE_LEVEL = "examRecord.courseLevel";
    String EXAM_RECORD_ORG_ID = "examRecord.orgId";
    String EXAM_RECORD_ROOT_ORG_ID = "examRecord.rootOrgId";
    String EXAM_RECORD_BASE_PAPER_ID = "examRecord.basePaperId";
    String EXAM_RECORD_PAPER_STRUCT_ID = "examRecord.paperStructId";
    String START_TIME = "startTime";
    String END_TIME = "endTime";
    String CLEAN_TIME = "cleanTime";
    String IS_WARN = "isWarn";
    String IS_AUDIT = "isAudit";
    String IS_ILLEGALITY = "isIllegality";
    String INFO_COLLECTOR = "infoCollector";
    String EXAM_RECORD_STATUS = "examRecordStatus";
    String USED_EXAM_TIME = "usedExamTime";
    String EXAM_ORDER = "examOrder";
    String IS_REEXAMINE = "isReexamine";
    String IS_CONTINUED = "isContinued";
    String CONTINUED_COUNT = "continuedCount";
    String FACE_SUCCESS_COUNT = "faceSuccessCount";
    String FACE_FAILED_COUNT = "faceFailedCount";
    String FACE_STRANGER_COUNT = "faceStrangerCount";
    String FACE_TOTAL_COUNT = "faceTotalCount";
    String FACE_SUCCESS_PERCENT = "faceSuccessPercent";
    String FACE_VERIFY_RESULT = "faceVerifyResult";
    String FACE_LANDMARK_VAL = "faceLandmarkVal";
    String UPDATE_TIME = "updateTime";
    String CREATION_TIME = "creationTime";

}