/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 10:07:33.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试统计信息
 *
 * @author: fengdesheng
 * @since: 2018/8/30
 */
public class ExamStudentFinishedStatistic implements JsonSerializable {
    /**
     * 完成数
     */
    private Integer finished;
    /**
     * 未完成数
     */
    private Integer unFinished;

    public Integer getFinished() {
        return finished != null ? finished : 0;
    }

    public void setFinished(Integer finished) {
        this.finished = finished;
    }

    public Integer getUnFinished() {
        return unFinished != null ? unFinished : 0;
    }

    public void setUnFinished(Integer unFinished) {
        this.unFinished = unFinished;
    }

}